### Hierarchy

- OfferSearchRepository

### Implemented by

- OfferSearchRepositoryImpl

## Index

### Methods

- addEventToOfferSearch
- addResultItem
- claimPurchaseForSearchItem
- clone
- complainToSearchItem
- confirmSearchItem
- createByQuery
- evaluateSearchItem
- getCountBySearchRequestIds
- getSearchResult
- getSearchResultByOfferSearchId
- getUserOfferSearches
- rejectSearchItem

## Methods

### addEventToOfferSearch

- addEventToOfferSearch(event: string, offerSearchId: number): Promise<void>

- - Defined in repository/search/OfferSearchRepository.ts:42

  #### Parameters

  - ##### event: string

  - ##### offerSearchId: number

  #### Returns Promise<void>

### addResultItem

- addResultItem(clientId: string, offerSearch: OfferSearch): Promise<void>

- - Defined in repository/search/OfferSearchRepository.ts:40

  #### Parameters

  - ##### clientId: string

  - ##### offerSearch: OfferSearch

  #### Returns Promise<void>

### claimPurchaseForSearchItem

- claimPurchaseForSearchItem(clientId: string, searchResultId: number): Promise<void>

- - Defined in repository/search/OfferSearchRepository.ts:38

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### clone

- clone(owner: string, id: number, searchRequest: SearchRequest): Promise<Array<OfferSearch>>

- - Defined in repository/search/OfferSearchRepository.ts:44

  #### Parameters

  - ##### owner: string

  - ##### id: number

  - ##### searchRequest: SearchRequest

  #### Returns Promise<Array<OfferSearch>>

### complainToSearchItem

- complainToSearchItem(clientId: string, searchResultId: number): Promise<void>

- - Defined in repository/search/OfferSearchRepository.ts:30

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### confirmSearchItem

- confirmSearchItem(clientId: string, searchResultId: number): Promise<void>

- - Defined in repository/search/OfferSearchRepository.ts:36

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### createByQuery

- createByQuery(owner: string, query: string, searchRequestId: number, page?: number, size?: number): Promise<Page<OfferSearchResultItem>>

- - Defined in repository/search/OfferSearchRepository.ts:7

  #### Parameters

  - ##### owner: string

  - ##### query: string

  - ##### searchRequestId: number

  - ##### Optional page: number

  - ##### Optional size: number

  #### Returns Promise<Page<OfferSearchResultItem>>

### evaluateSearchItem

- evaluateSearchItem(clientId: string, searchResultId: number): Promise<void>

- - Defined in repository/search/OfferSearchRepository.ts:34

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### getCountBySearchRequestIds

- getCountBySearchRequestIds(searchRequestIds: Array<number>): Promise<Map<number, number>>

- - Defined in repository/search/OfferSearchRepository.ts:28

  #### Parameters

  - ##### searchRequestIds: Array<number>

  #### Returns Promise<Map<number, number>>

### getSearchResult

- getSearchResult(clientId: string, searchRequestId: number): Promise<Page<OfferSearchResultItem>>

- - Defined in repository/search/OfferSearchRepository.ts:24

  #### Parameters

  - ##### clientId: string

  - ##### searchRequestId: number

  #### Returns Promise<Page<OfferSearchResultItem>>

### getSearchResultByOfferSearchId

- getSearchResultByOfferSearchId(clientId: string, offerSearchId: number): Promise<Page<OfferSearchResultItem>>

- - Defined in repository/search/OfferSearchRepository.ts:26

  #### Parameters

  - ##### clientId: string

  - ##### offerSearchId: number

  #### Returns Promise<Page<OfferSearchResultItem>>

### getUserOfferSearches

- getUserOfferSearches(clientId: string, page?: number, size?: number, unique?: boolean, searchIds?: Array<number>, state?: Array<OfferResultAction>): Promise<Page<OfferSearchResultItem>>

- - Defined in repository/search/OfferSearchRepository.ts:15

  #### Parameters

  - ##### clientId: string

  - ##### Optional page: number

  - ##### Optional size: number

  - ##### Optional unique: boolean

  - ##### Optional searchIds: Array<number>

  - ##### Optional state: Array<OfferResultAction>

  #### Returns Promise<Page<OfferSearchResultItem>>

### rejectSearchItem

- rejectSearchItem(clientId: string, searchResultId: number): Promise<void>

- - Defined in repository/search/OfferSearchRepository.ts:32

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

Generated using TypeDoc